Operations related to live streams. A live stream is a single, linear video broadcast. You broadcast a live stream by receiving encoded source video into the Wowza Video service and letting Wowza Video transcode the stream and deliver it to viewers. A live stream is essentially a one-stop method for creating a transcoder, output renditions, stream targets, and associated players.
- Reference
- REST API
- Fetch a live stream
Wowza Video REST API Reference Documentation (v1.11)
API lifecycle phase: Supported 2
| Want to take the API for a test run? All you'll need is a Wowza Video subscription, or free trial, for the API access token. Then, fork our collection in Postman and you'll be making calls to our REST API in minutes! See Trial the Wowza Video REST API using Postman for more information. |
This reference documentation provides details about the operations, parameters, and request and reponse schemas for every resource and endpoint in the Wowza Video REST API. Samples appear in the right column. Sample requests are presented in cURL (Shell) and JavaScript; some samples also include just the JSON object. Response samples are all JSON. Examples in cURL use environment variables so you can easily copy and paste them. To learn more, see Using cURL.
Reference documentation is available for every version of the API. Use the Version menu at the top of the page to access the reference doc for a different version of the API.
Restricts the data that gets returned by filtering on one or more values associated with a field. Construct a filter using a two-part expression that specifies the field on which to filter and the logic to use to filter. Filters use a zero-based index.
For valid filter operators and filter fields, see How to get filtered query results with the Wowza Video REST API.
Example: filter[0][field]=state&filter[0][eq]=stopped
Returns a paginated view of results from the HTTP request. Specify a positive integer to indicate which page of the results should be displayed. The default is 1.
For more information and examples, see Get paginated query results with the Wowza Video REST API.
- Mock serverhttps://developer.wowza.com/_mock/docs/wowza-video/api/video/v1.11/openapi/live_streams
- https://api.video.wowza.com/api/v1.11/live_streams
- curl
- Java
- Python
- JavaScript
curl -i -X GET \
'https://developer.wowza.com/_mock/docs/wowza-video/api/video/v1.11/openapi/live_streams?filter=string&page=0&per_page=0'Success
The date and time that the live stream was created.
A descriptive name for the live stream. Maximum 200 characters.
{ "live_streams": [ { … }, { … }, { … } ] }
- Mock serverhttps://developer.wowza.com/_mock/docs/wowza-video/api/video/v1.11/openapi/live_streams/{id}
- https://api.video.wowza.com/api/v1.11/live_streams/{id}
- curl
- Java
- Python
- JavaScript
curl -i -X GET \
'https://developer.wowza.com/_mock/docs/wowza-video/api/video/v1.11/openapi/live_streams/{id}'Success
The height, in pixels, of the video source. Should correspond to a widescreen (16:9) or standard (4:3) aspect ratio and be divisible by 8. Combined with aspect_ratio_width, makes up the input resolution.
The width, in pixels, of the video source. Should correspond to a widescreen (16:9) or standard (4:3) aspect ratio and be divisible by 8. Combined with aspect_ratio_height, makes up the input resolution.
Only applies to live streams created from re-streaming an asset in Asset Management. The id for the asset associated with the re-streamed live stream. You can manage this asset in Asset Management.
The billing mode for the stream. The default is pay_as_you_go.
pay_as_you_go — Billed as a single event. A single event is use-based and you incur charges for the time spent streaming.
twentyfour_seven — Billed as a 24x7 channel. A 24x7 channel is unlimited stream time for one channel. This billing mode doesn't incur overages, since it's unlimited.
The location of your stream. Choose a location as close as possible to your video source.
The type of closed caption data being passed from the source. The default, none, indicates that no data is being provided. cea indicates that a CEA closed captioning data stream is being provided. on_text indicates that an onTextData closed captioning data stream is being provided. both indicates that both CEA and onTextData closed captioning data streams are being provided.
A six-character, alphanumeric string that allows certain encoders, including Wowza Streaming Engine and the Wowza GoCoder app, to connect with Wowza Video. The code can be used once and expires 24 hours after it's created.
The date and time that the connection_code expires.
The date and time that the live stream was created.
The type of connection between the video source and the transcoder. The default, push, instructs the source to push the stream to the transcoder. pull instructs the transcoder to pull the video from the source. cdn uses a stream source to deliver the stream to the transcoder.
An array of direct delivery protocols enabled for this live stream. By default, rtmp, rtsp, webrtc, and wowz are enabled.
A list of direct playback URLs for the live stream's delivery protocols. Each protocol has a URL for the source and a URL for each output rendition.
The video source for the live stream. Choose the type of camera or encoder you're using to connect to the Wowza Video transcoder. If your specific device isn't listed, choose ipcamera, other_rtmp, or other_rtsp.
The unique alphanumeric string that identifies the live stream.
For streams whose target_delivery_protocol is hls-https. If true, turns off incoming and sort packet buffers and delivers smaller video packets to the player, which can reduce latency as long as networks can handle the increased overhead. The default is false.
A descriptive name for the live stream. Maximum 200 characters.
The stream name used in the direct playback URL.
Configuration of the player.
If you're using the 1.11 API with the new Wowza Video user interface, the player fields are ignored. The default player configuration is used instead. Create and change player configurations in the user interface.
If true, creates a recording of the live stream. The recording starts when the live stream starts and stops automatically when the live stream stops.
Recordings created from a live stream capture up to eight hours of content. If a live stream runs for longer than eight hours, the most recent eight hours are recorded. To record more than eight hours of a single broadcast, stop the live stream and start it again to create multiple recordings.
Default: false.
Note: If save_asset is true, that field overrides a true recording value and the asset is saved in Asset Management.
A unique, alphanumeric ID returned in transcoder webhook payloads. Setting a reference_id is useful if you have an ID in your system or application you want to associate with transcoder events that trigger webhooks. Maximum 70 characters. Can only contain: a-z A-Z 0-9 !@#$%^&*()-_+=:;,.?~|
You can't use brackets or quotation marks.
See Wowza Video Webhook Event Reference Documentation to learn about webhooks.
Available from version 1.7.
If true, saves an MP4 recording and a VOD asset in Asset Management. The default is false. You can't set save_asset for a live stream created from re-streaming an asset in Asset Management.
Note: If this value is true, recording and/or vod_stream are set to false. You need a Wowza Video subscription to access Asset Management.
Available from version 1.8.
Details that you can use to manually configure and connect a video source to the live stream.
The unique alphanumeric string that identifies the stream source, if a stream source is used.
An array of unique alphanumeric strings that identify the stream targets used by the live stream.
The type of stream being delivered from Wowza Video. The default and only valid value is hls-https.
The type of transcoder, either transcoded for streams that are transcoded into adaptive bitrate renditions or passthrough for streams that aren't processed by the transcoder. The default is transcoded.
The date and time that the live stream was updated.
If true, uses a stream source to deliver the stream to Wowza Video. The default, false, pushes directly to Wowza Video.
If true, creates a VOD stream after the live stream ends. The default is false. VOD streams require a Fastly stream target with HLS as a delivery protocol.
Note: If save_asset is true, that field overrides a true vod_stream value and the asset is saved in Asset Management.
{ "live_stream": { "aspect_ratio_height": 1080, "aspect_ratio_width": 1920, "billing_mode": "pay_as_you_go", "broadcast_location": "us_west_california", "closed_caption_type": "cea", "connection_code": "0e15cb", "connection_code_expires_at": "2020-11-30T17:16:21.956Z", "created_at": "2020-01-29T17:16:21.956Z", "delivery_method": "push", "delivery_protocols": [ … ], "direct_playback_urls": { … }, "encoder": "other_rtmp", "hosted_page": { … }, "id": "wdjfqvsv", "name": "My PAYG Transcoded WSE Live Stream", "playback_stream_name": "wxyz6789", "player": { … }, "recording": true, "reference_id": "mySystemID_01", "save_asset": false, "stream_source_id": "5skrfpyf", "stream_targets": [ … ], "target_delivery_protocol": "hls-https", "transcoder_type": "transcoded", "updated_at": "2020-01-31T06:12:39.956Z", "use_stream_source": true, "vod_stream": true } }
Provide the details of the live stream to update in the body of the request.
The height, in pixels, of the video source. Should correspond to a widescreen (16:9) or standard (4:3) aspect ratio and be divisible by 8. Combined with aspect_ratio_width, makes up the input resolution.
Example: "aspect_ratio_height": 1080
The width, in pixels, of the video source. Should correspond to a widescreen (16:9) or standard (4:3) aspect ratio and be divisible by 8. Combined with aspect_ratio_height, makes up the input resolution.
Example: "aspect_ratio_width": 1920
The video source for the live stream. Choose the type of camera or encoder you're using to connect to the Wowza Video transcoder. If your specific device isn't listed, choose ipcamera, other_rtmp, or other_rtsp.
Example: "encoder": "other_rtmp"
A descriptive name for the live stream. Maximum 200 characters.
Example: "name": "My Updated Live Stream"
The type of closed caption data being passed from the source. The default, none, indicates that no data is being provided. cea indicates that a CEA closed captioning data stream is being provided. on_text indicates that an onTextData closed captioning data stream is being provided. both indicates that both CEA and onTextData closed captioning data streams are being provided.
Example: "closed_caption_type": "cea"
The type of connection between the video source and the transcoder. The default, push, instructs the source to push the stream to the transcoder. pull instructs the transcoder to pull the video from the source. cdn uses a stream source to deliver the stream to the transcoder.
Example: "delivery_method": "pull"
An array of direct delivery protocols enabled for this live stream. By default, rtmp, rtsp, webrtc, and wowz are enabled.
Example: See response body sample
Authentication is required by default for RTMP and RTSP push connections from a video source to Wowza Video. Specify true to disable authentication with the video source.
Example: "disable_authentication": false
A password for authenticating an RTMP or RTSP push connection. Can contain only uppercase and lowercase letters; numbers; and the period (.), underscore (_), and hyphen (-) characters. No other special characters can be used.
Example: "password": 68332313
Configuration of the player.
If you're using the 1.11 API with the new Wowza Video user interface, the player fields are ignored. The default player configuration is used instead. Create and change player configurations in the user interface.
If true, creates a recording of the live stream. The recording starts when the live stream starts and stops automatically when the live stream stops.
Recordings created from a live stream capture up to eight hours of content. If a live stream runs for longer than eight hours, the most recent eight hours are recorded. To record more than eight hours of a single broadcast, stop the live stream and start it again to create multiple recordings.
Default: false
Note: If save_asset is true, that field overrides a true recording value and the asset is saved in Asset Management.
Example: "recording": true
A unique, alphanumeric ID returned in transcoder webhook payloads. Setting a reference_id is useful if you have an ID in your system or application you want to associate with transcoder events that trigger webhooks. Maximum 70 characters. Can only contain: a-z A-Z 0-9 !@#$%^&*()-_+=:;,.?~|
You can't use brackets or quotation marks.
See Wowza Video Webhook Event Reference Documentation to learn about webhooks.
Available from version 1.7.
Example: "reference_id": "mySystemID_01"
If true, saves an MP4 recording and a VOD asset in Asset Management. The default is false. You can't set save_asset for a live stream created from re-streaming an asset in Asset Management
Note: If this value is true, recording and/or vod_stream are set to false. You need a Wowza Video subscription to access Asset Management.
Available from version 1.8.
Example: "save_asset": true
For the delivery_method pull or encoder file.
For pull, enter the URL of an IP camera or video encoder using an RTMP and RTSP pull connection to Wowza Video. Consult the camera or encoder documentation for the URL syntax.
For file, enter the source file URL, including the protocol (http, https, gs, s3).
Example: "source_url": "xyz.streamlock.net/vod/mp4:Movie.mov"
The type of stream being delivered from Wowza Video. The default and only valid value is hls-https.
Example: "target_delivery_protocol": "hls-https"
If true, uses a stream source to deliver the stream to Wowza Video. The default, false, pushes directly to Wowza Video.
Example: "use_stream_source": false
A user name for authenticating an RTMP or RTSP push connection. Can contain only uppercase and lowercase letters; numbers; and the period (.), underscore (_), and hyphen (-) characters. No other special characters can be used.
Example: "username": "client2"
If true, creates a VOD stream after the live stream ends. The default is false.VOD streams require a Fastly stream target with HLS as a delivery protocol.
Note: If save_asset is true, that field overrides a true vod_stream value and the asset is saved in Asset Management.
Example: "vod_stream": true
- Mock serverhttps://developer.wowza.com/_mock/docs/wowza-video/api/video/v1.11/openapi/live_streams/{id}
- https://api.video.wowza.com/api/v1.11/live_streams/{id}
- curl
- Java
- Python
- JavaScript
curl -i -X PATCH \
'https://developer.wowza.com/_mock/docs/wowza-video/api/video/v1.11/openapi/live_streams/{id}' \
-H 'Content-Type: application/json' \
-d '{
"live_stream": {
"name": "My Updated Live Stream",
"recording": true
}
}'Success
The height, in pixels, of the video source. Should correspond to a widescreen (16:9) or standard (4:3) aspect ratio and be divisible by 8. Combined with aspect_ratio_width, makes up the input resolution.
The width, in pixels, of the video source. Should correspond to a widescreen (16:9) or standard (4:3) aspect ratio and be divisible by 8. Combined with aspect_ratio_height, makes up the input resolution.
Only applies to live streams created from re-streaming an asset in Asset Management. The id for the asset associated with the re-streamed live stream. You can manage this asset in Asset Management.
The billing mode for the stream. The default is pay_as_you_go.
pay_as_you_go — Billed as a single event. A single event is use-based and you incur charges for the time spent streaming.
twentyfour_seven — Billed as a 24x7 channel. A 24x7 channel is unlimited stream time for one channel. This billing mode doesn't incur overages, since it's unlimited.
The location of your stream. Choose a location as close as possible to your video source.
The type of closed caption data being passed from the source. The default, none, indicates that no data is being provided. cea indicates that a CEA closed captioning data stream is being provided. on_text indicates that an onTextData closed captioning data stream is being provided. both indicates that both CEA and onTextData closed captioning data streams are being provided.
A six-character, alphanumeric string that allows certain encoders, including Wowza Streaming Engine and the Wowza GoCoder app, to connect with Wowza Video. The code can be used once and expires 24 hours after it's created.
The date and time that the connection_code expires.
The date and time that the live stream was created.
The type of connection between the video source and the transcoder. The default, push, instructs the source to push the stream to the transcoder. pull instructs the transcoder to pull the video from the source. cdn uses a stream source to deliver the stream to the transcoder.
An array of direct delivery protocols enabled for this live stream. By default, rtmp, rtsp, webrtc, and wowz are enabled.
A list of direct playback URLs for the live stream's delivery protocols. Each protocol has a URL for the source and a URL for each output rendition.
The video source for the live stream. Choose the type of camera or encoder you're using to connect to the Wowza Video transcoder. If your specific device isn't listed, choose ipcamera, other_rtmp, or other_rtsp.
The unique alphanumeric string that identifies the live stream.
For streams whose target_delivery_protocol is hls-https. If true, turns off incoming and sort packet buffers and delivers smaller video packets to the player, which can reduce latency as long as networks can handle the increased overhead. The default is false.
A descriptive name for the live stream. Maximum 200 characters.
The stream name used in the direct playback URL.
Configuration of the player.
If you're using the 1.11 API with the new Wowza Video user interface, the player fields are ignored. The default player configuration is used instead. Create and change player configurations in the user interface.
If true, creates a recording of the live stream. The recording starts when the live stream starts and stops automatically when the live stream stops.
Recordings created from a live stream capture up to eight hours of content. If a live stream runs for longer than eight hours, the most recent eight hours are recorded. To record more than eight hours of a single broadcast, stop the live stream and start it again to create multiple recordings.
Default: false.
Note: If save_asset is true, that field overrides a true recording value and the asset is saved in Asset Management.
A unique, alphanumeric ID returned in transcoder webhook payloads. Setting a reference_id is useful if you have an ID in your system or application you want to associate with transcoder events that trigger webhooks. Maximum 70 characters. Can only contain: a-z A-Z 0-9 !@#$%^&*()-_+=:;,.?~|
You can't use brackets or quotation marks.
See Wowza Video Webhook Event Reference Documentation to learn about webhooks.
Available from version 1.7.
If true, saves an MP4 recording and a VOD asset in Asset Management. The default is false. You can't set save_asset for a live stream created from re-streaming an asset in Asset Management.
Note: If this value is true, recording and/or vod_stream are set to false. You need a Wowza Video subscription to access Asset Management.
Available from version 1.8.
Details that you can use to manually configure and connect a video source to the live stream.
The unique alphanumeric string that identifies the stream source, if a stream source is used.
An array of unique alphanumeric strings that identify the stream targets used by the live stream.
The type of stream being delivered from Wowza Video. The default and only valid value is hls-https.
The type of transcoder, either transcoded for streams that are transcoded into adaptive bitrate renditions or passthrough for streams that aren't processed by the transcoder. The default is transcoded.
The date and time that the live stream was updated.
If true, uses a stream source to deliver the stream to Wowza Video. The default, false, pushes directly to Wowza Video.
If true, creates a VOD stream after the live stream ends. The default is false. VOD streams require a Fastly stream target with HLS as a delivery protocol.
Note: If save_asset is true, that field overrides a true vod_stream value and the asset is saved in Asset Management.
{ "live_stream": { "aspect_ratio_height": 1080, "aspect_ratio_width": 1920, "billing_mode": "pay_as_you_go", "broadcast_location": "us_west_california", "closed_caption_type": "cea", "connection_code": "0e15cb", "connection_code_expires_at": "2020-11-30T17:16:21.956Z", "created_at": "2020-01-29T17:16:21.956Z", "delivery_method": "push", "delivery_protocols": [ … ], "direct_playback_urls": { … }, "encoder": "other_rtmp", "hosted_page": { … }, "id": "wdjfqvsv", "name": "My PAYG Transcoded WSE Live Stream", "playback_stream_name": "wxyz6789", "player": { … }, "recording": true, "reference_id": "mySystemID_01", "save_asset": false, "stream_source_id": "5skrfpyf", "stream_targets": [ … ], "target_delivery_protocol": "hls-https", "transcoder_type": "transcoded", "updated_at": "2020-01-31T06:12:39.956Z", "use_stream_source": true, "vod_stream": true } }
Operations related to recordings, which are created through the /live_streams or /transcoders resources. The Wowza Video service can create MP4 recordings of your live streams and transcoded output. Recordings can be downloaded and saved locally. They're based on the highest-bitrate output rendition that Wowza Video generates from your video source. See About recordings to learn more.
Operations related to schedules. Schedules allow you to automatically start or stop a live stream or transcoder at a predetermined date and time. You can configure a schedule to start and/or stop a live stream or transcoder just once, or you can configure it to repeat the behavior on a regular basis. See About schedules to learn more.
Operations related to video on demand (VOD) streams, which are created through the /live_streams or /transcoders resources. A VOD stream is a recording of a live stream that viewers can replay at a later date. After the broadcast is over and the live stream or transcoder is stopped, Wowza Video creates the VOD stream and generates a playback URL. See About VOD Streams to learn more.
Operations related to Real-Time Streaming at Scale. If your audience is fewer than 300 viewers or you want to deliver a stream in near real time alongside other delivery protocols, use our WebRTC solution.
To enable and purchase capacity for Real-Time Streaming at Scale for your account and access the /real_time operations, contact 720.279.8163 or schedule a call.